### Enumeration

# GLib KeyFileFlags

#### Declaration

    flags GLib.KeyFileFlags

#### Description

Flags which influence the parsing.

#### Members

`G_KEY_FILE_NONE`

  No flags, default behaviour.

  - Value: `0`
  - Available since: 2.0
`G_KEY_FILE_KEEP_COMMENTS`

  Use this flag if you plan to write the (possibly modified) contents of the key file back to a file; otherwise all comments will be lost when the key file is written back.

  - Value: `1`
  - Available since: 2.0
`G_KEY_FILE_KEEP_TRANSLATIONS`

  Use this flag if you plan to write the (possibly modified) contents of the key file back to a file; otherwise only the translations for the current language will be written back.

  - Value: `2`
  - Available since: 2.0